Bug 1022580 - netns.py syntax error
netns.py syntax error
Status: CLOSED CURRENTRELEASE
Product: RDO
Classification: Community
Component: openstack-puppet-modules (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Magr
yeylon@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-23 10:53 EDT by Pádraig Brady
Modified: 2016-04-18 03:12 EDT (History)
2 users (show)

See Also:
Fixed In Version: openstack-packstack-2013.2.1-0.12.dev835.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-30 19:02:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenStack gerrit 53559 None None None Never

  None (edit)
Description Pádraig Brady 2013-10-23 10:53:53 EDT
With packstack 806 I noticed this in a test run of a RHEL + neutron CI test

======================================================================
04:53:38 ERROR: Exercise the netns functionality required by neutron.
04:53:38 ----------------------------------------------------------------------
04:53:38 Traceback (most recent call last):
04:53:38   File "/usr/lib/python2.6/site-packages/packstack/puppet/modules/packstack/lib/facter/netns.py", line 156, in test_neutron_netns_cmds
04:53:38     e('%(ns1)s ip link delete %(veth1_1)s')
04:53:38   File "/usr/lib64/python2.6/contextlib.py", line 34, in __exit__
04:53:38     self.gen.throw(type, value, traceback)
04:53:38   File "/usr/lib/python2.6/site-packages/packstack/puppet/modules/packstack/lib/facter/netns.py", line 73, in add_namespaces
04:53:38     yield ns1, ns2
04:53:38   File "/usr/lib/python2.6/site-packages/packstack/puppet/modules/packstack/lib/facter/netns.py", line 122, in test_neutron_netns_cmds
04:53:38     e('%(ns1)s iptables-save > %s' % iptables_filename)
04:53:38 TypeError: format requires a mapping
04:53:38 
04:53:38 ----------------------------------------------------------------------

Note You need to log in before you can comment on or make changes to this bug.